// CSS variables / custom properties for base_files/scss/_tiki-pagetop_colors.scss -- Interpolation info from https://developersink.com/css/css-custom-properties-sass-variables/
// Background images (actual images or CSS gradients, etc.), if assigned, override background colors.
.tiki-top-nav-light {
    --tiki-top-bg: #{$sky-light};
    --tiki-top-color: #{$navbar-light-color};
    --tiki-top-hover-color: #{$navbar-light-hover-color};
    --tiki-top-text-color: #{$navbar-light-hover-color};
    --bs-navbar-brand-color: #{$navbar-light-brand-color};
    --bs-navbar-brand-hover-color: #{$navbar-light-brand-hover-color};
}

.tiki-topbar-nav-light {
    --tiki-topbar-bg: #{$sky-light};
    --tiki-topbar-color: #{$navbar-light-color};
    --tiki-topbar-hover-color: #{$navbar-dark-hover-color};
    --tiki-topbar-text-color: #{$navbar-dark-hover-color};
}

.tiki-top-nav-dark {
    --tiki-top-bg: #343a40;
    --tiki-top-color: #{$navbar-dark-color};
    --tiki-top-hover-color: #{$navbar-dark-hover-color};
    --tiki-top-text-color: #{$navbar-dark-hover-color};
    --bs-navbar-brand-color: #{$navbar-dark-brand-color};
    --bs-navbar-brand-hover-color: #{$navbar-dark-brand-hover-color};
}

.tiki-topbar-nav-dark {
    --tiki-topbar-bg: #343a40;
    --tiki-topbar-color: #{$navbar-dark-color};
    --tiki-topbar-hover-color: #{$navbar-dark-hover-color};
    --tiki-topbar-text-color: #{$navbar-dark-hover-color};
}

// - - - - - New admin pages (Unified Admin Backend) - - - - - - - //

// Light navbar minus top nav
.tiki .tiki-admin-top-nav-light,
.tiki .tiki-admin-aside-nav-light {
    --tiki-admin-navbar-bg: #{$sky-light};
     --tiki-admin-top-nav-color: #{$navbar-light-color};
    --tiki-admin-top-nav-hover-color: #{$navbar-light-hover-color};
    --tiki-admin-top-nav-hover-bg: none ;
    --tiki-admin-aside-nav-bg: #{$sky-light};
    --tiki-admin-aside-nav-color: var(--tiki-admin-top-nav-color);
    --tiki-admin-aside-nav-hover-color: var(--tiki-admin-top-nav-hover-color);
    --tiki-admin-dropdown-bg: #{$dropdown-bg};
    --tiki-admin-dropdown-link-color: #fff;
    --tiki-admin-dropdown-link-hover-color: #{$dropdown-link-hover-color};
    --tiki-admin-dropdown-link-hover-bg: #{$dropdown-link-hover-bg};
}
// Light top nav
.tiki.tiki-admin .top_modules.navbar-light-parent {
    --tiki-admin-top-nav-bg: #{$sky-light};
}

// Dark navbar minus top nav
.tiki .tiki-admin-top-nav-dark,
.tiki .tiki-admin-aside-nav-dark {
    --tiki-admin-top-nav-color: #{$navbar-dark-color};
    --tiki-admin-top-nav-hover-color: #{$navbar-dark-color};
    --tiki-admin-top-nav-hover-bg: #{$navbar-dark-hover-color};
    --tiki-admin-aside-nav-bg: #343a40;
    --tiki-admin-aside-nav-color: var(--tiki-admin-top-nav-color);
    --tiki-admin-aside-nav-hover-color: var(--tiki-admin-top-nav-hover-color);
    --tiki-admin-dropdown-link-color: #80a60f; // #{$link-color};
    --tiki-admin-dropdown-bg: #{$dropdown-dark-bg};
    --tiki-admin-dropdown-link-hover-color: #{$dropdown-link-hover-color};
    --tiki-admin-dropdown-link-hover-bg: #{$dropdown-dark-link-hover-bg};
}
// Dark top nav
.tiki.tiki-admin .top_modules.navbar-dark-parent {
    --tiki-admin-top-nav-bg: #343a40;
}
// - - - - - New admin pages (Unified Admin Backend) END - - - - - - - //

:root,
[data-bs-theme="dark"]{
    --tiki-code-bg: #303030;
}

.accordion {
    --bs-accordion-active-bg: #E6EDCF;
    --bs-accordion-active-color: #2c3a05;
//    --bs-accordion-btn-bg: #FDF0F0;
//    --bs-accordion-btn-color: #D45E5A;
}